[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: python-fedora package split



On Wed, Aug 10, 2011 at 08:01:11PM +0200, Pierre-Yves Chibon wrote:
> On Wed, 2011-08-10 at 10:51 -0700, Toshio Kuratomi wrote:
> > For packagers, developers, and sysadmins needing python-fedora client
> > code,
> > this should mean you need to make no changes.  yum install
> > python-fedora
> > or Requires: python-fedora will continue to get you python-fedora and
> > the
> > minimal deps needed for the client code to function.
> > 
> > For packagers, developers, and sysadmins working with server apps that
> > need
> > python-fedora's server helper code, you'll need to update to pulling
> > in the
> > subpackage relevant to your framework (for instance,
> > bodhi should change to use Requires: python-fedora-turbogears ). 
> 
> With the traditionnal dependency chain:
> 
> $ repoquery --whatrequires python-fedora
Of those,the ones using the server API and therefore needing to be updated
are:

> bodhi-server-0:0.7.9-2.fc14.noarch
> bodhi-server-0:0.8.0-1.fc14.noarch
> mirrormanager-0:1.3.7-1.fc14.noarch

Thanks,
-Toshio

Attachment: pgpS4wccuBfXO.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]